package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttRudABase;

/** 涵洞信息 Service */
public interface RudaService {
    /**
     * 查询涵洞信息列表
     * 
     * @param attRudABase 查询条件
     * @return 涵洞信息列表
     */
    public List<AttRudABase> selectAttRudABaseList(AttRudABase attRudABase);

    /**
     * 通过涵洞编码查询涵洞信息
     * 
     * @param rudaCode 涵洞编码
     * @return 涵洞信息
     */
    public AttRudABase selectAttRudABaseById(String rudaCode);

    /**
     * 批量删除涵洞信息
     * 
     * @param rudaCodes 涵洞编码数组
     * @return 删除行数
     */
    public int deleteAttRudABaseByIds(String[] rudaCodes);

    /**
     * 新增涵洞信息
     * 
     * @param attRudABase 涵洞信息
     * @return 插入行数
     */
    public int insertAttRudABase(AttRudABase attRudABase);

    /**
     * 修改涵洞信息
     * 
     * @param attRudABase 涵洞信息
     * @return 更新行数
     */
    public int updateAttRudABase(AttRudABase attRudABase);
}
